zenilib: zenilib/jni/external/libpng/pngwio.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
pngwio.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Functions

void PNGCBAPI | png_default_flush (png_structp png_ptr)
void PNGCBAPI | png_default_write_data (png_structp png_ptr, png_bytep data, png_size_t length)
void | png_flush (png_structp png_ptr)
void PNGAPI | png_set_write_fn (png_structp png_ptr, png_voidp io_ptr, png_rw_ptr write_data_fn, png_flush_ptr output_flush_fn)
void | png_write_data (png_structp png_ptr, png_const_bytep data, png_size_t length)

## Function Documentation

void PNGCBAPI png_default_flush | ( | png_structp | png_ptr | ) |

Definition at line 137 of file pngwio.c.

References CVT_PTR, and NULL.

Referenced by png_set_write_fn().

void PNGCBAPI png_default_write_data | ( | png_structp | png_ptr,
|  | png_bytep | data,
|  | png_size_t | length
| ) |  |

Definition at line 51 of file pngwio.c.

References NULL, and png_error().

Referenced by png_set_write_fn().

void png_flush | ( | png_structp | png_ptr | ) |

Definition at line 129 of file pngwio.c.

References NULL.

Referenced by png_write_end(), and png_write_flush().

void PNGAPI png_set_write_fn | ( | png_structp | png_ptr,
|  | png_voidp | io_ptr,
|  | png_rw_ptr | write_data_fn,
|  | png_flush_ptr | output_flush_fn
| ) |  |

Definition at line 180 of file pngwio.c.

References NULL, png_default_flush(), png_default_write_data(), and png_warning().

Referenced by PNG_FUNCTION(), and test_one_file().

void png_write_data | ( | png_structp | png_ptr,
|  | png_const_bytep | data,
|  | png_size_t | length
| ) |  |

Definition at line 33 of file pngwio.c.

References NULL, and png_error().

Referenced by png_write_chunk_data(), png_write_chunk_end(), png_write_chunk_header(), and png_write_sig().